package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class DT_KUNNR_IN_21 {

    //仓库编号
    private String wh_code;
    //公司代码
    private String owner_code;
    //发货单号
    private String delivery_number;
    //对方ELS账号
    private String els_account;
    //采购方名称
    private String purchase_name;
    //是否多次收货
    private String is_multiple_receipt;
    //供应商ERP编码
    private String supplier_code;
    //供应商名称
    private String supplier_name;
    //单据描述
    private String delivery_desc;
    //发货时间
    private Date delivery_time;
    //计划到货日期
    private Date plan_arrive_date;
    //收货时间
    private Date receive_time;
    //单据状态
    private String delivery_status;
    //是否暂存
    private String is_storage;
    //工厂
    private String factory;
    //库存地点
    private String storage_location;
    //配送方式
    private String delivery_way;
    //物流公司
    private String logistics_company;
    //物流单号
    private String tracking_number;
    //车牌号
    private String car_number;
    //车牌号颜色
    private String license_plate_number_color;
    //交货地址
    private String delivery_address;
    //收货联系人
    private String receive_contact;
    //收货联系人电话
    private String receive_phone;
    //需方负责人
    private String purchase_principal;
    //供方负责人
    private String supplier_principal;
    //需方备注
    private String purchase_remark;
    //供方备注
    private String supplier_remark;
    //供应商公司代码
    private String supplier_company_code;

    // 明细
    private List<DT_KUNNR_IN_21_ITEM> items;
}