package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WMS_KUNNR_IN_21 {
    //仓库编号
    private String wh_code;
    //公司代码
    private String owner_code;
    //发货单号
    private String delivery_no;
    //对方ELS账号
    private String els_account;
    //采购方名称
    private String purchase_name;
    //是否多次收货
    private String is_multiple_receipt;
    //供应商ERP编码
    private String supplier_code;
    //供应商名称
    private String supplier_name;
    //单据描述
    private String delivery_desc;
    //发货时间
    private Date delivery_time;
    //计划到货日期
    private Date plan_arrive_date;
    //收货时间
    private Date receive_time;
    //单据状态
    private String delivery_status;
    //是否暂存
    private String is_storage;
    //工厂
    private String factory;
    //库存地点
    private String storage_location;
    //配送方式
    private String delivery_way;
    //物流公司
    private String logistics_company;
    //物流单号
    private String tracking_number;
    //车牌号
    private String car_code;
    //车牌号颜色
    private String license_plate_number_color;
    //交货地址
    private String delivery_address;
    //收货联系人
    private String receive_contact;
    //收货联系人电话
    private String receive_phone;
    //需方负责人
    private String purchase_principal;
    //供方负责人
    private String supplier_principal;
    //需方备注
    private String purchase_remark;
    //供方备注
    private String supplier_remark;
    //供应商公司代码
    private String supplier_company_code;
    //行状态
    private String line_status;
    //行号
    private String item_number;
    //订单号
    private String order_no;
    //订单行号
    private String order_line_no;
    //商品编码
    private String item_code;
    //商品名称
    private String item_name;
    //商品描述
    private String item_desc;
    //商品规格
    private String item_spec;
    //商品组
    private String item_group;
    //商品组名称
    private String item_group_name;
    //退货数量
    private String return_qty;
    //商品分类
    private String item_category;
    //实收数量
    private String real_receive_qty;
    //商品分类名称
    private String item_category_name;
    //需求日期
    private Date require_date;
    //订单数量
    private BigDecimal qty;
    //采购单位
    private String purchase_unit;
    //检验类型
    private String check_type;
    //是否有效
    private String is_validate;
    //是否质检
    private String is_check_quality;
    //含税价
    private BigDecimal price;
    //净价
    private BigDecimal net_price;
    //税码
    private String tax_code;
    //税率
    private String tax_rate;
    //发货数量
    private BigDecimal delivery_qty;
    //剩余收货数量
    private BigDecimal remain_qty;
    //收货数量
    private BigDecimal receive_qty;
    //批次号
    private String lot01;
    //本次收货数量
    private BigDecimal receive_qty_now;
    //生产日期
    private Date lot02;
    //取样量
    private BigDecimal sample_qty;
    //来源类型
    private String source_type;
    //来源单号
    private String source_no;
    //来源单行号
    private String source_line_no;
    //本次实际收货时间
    private Date receipt_end_time;
    //有效日期
    private Date lot03;


}
