package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.util.List;

@Data
public class DT_KUNNR_IN_RT_23 {

    /**
     * 企业编码
     */
    private String OWNER_CODE;
    /**
     * 物流中心编码
     */
    private String WH_CODE;
    /**
     * DERP业务单号
     */
    private String ORDER_OUT_CODE;

    private List<DT_KUNNR_IN_RT_23_ITEM> dt_kunnr_in_rt_23_items;

    @Data
    public static class DT_KUNNR_IN_RT_23_ITEM{
        /**
         * 商品编码
         */
        private String ITEM_CODE;
        /**
         * 批号
         */
        private String LOT01;
        /**
         * 电子监管码
         */
        private String DRUP_CODE;
    }

}
